-------------------------------------------------------------------------------
-- Title      : Testbench for design "Top_level"
-- Project    : 
-------------------------------------------------------------------------------
-- File       : Top_level_tb.vhd
-- Author     : 
-- Company    : 
-- Created    : 2004-10-08
-- Last update: 2004-10-08
-- Platform   : 
-- Standard   : VHDL'87
-------------------------------------------------------------------------------
-- Description: 
-------------------------------------------------------------------------------
-- Copyright (c) 2004 
-------------------------------------------------------------------------------
-- Revisions  :
-- Date        Version  Author  Description
-- 2004-10-08  1.0      dschmitz	Created
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

-------------------------------------------------------------------------------

entity Top_level_tb is

end Top_level_tb;

-------------------------------------------------------------------------------

architecture tb of Top_level_tb is

  component Top_level
    port (
      clk      : in  std_logic;
      reset    : in  std_logic;
      data_in  : in  std_logic_vector(7 downto 0);
      data_out : out std_logic_vector(7 downto 0);
      load     : in  std_logic);
  end component;

  -- component ports
  signal clk      : std_logic;
  signal reset    : std_logic;
  signal data_in  : std_logic_vector(7 downto 0);
  signal data_out : std_logic_vector(7 downto 0);
  signal load     : std_logic;

  -- clock
  signal Clk : std_logic := '1';

begin  -- tb

  -- component instantiation
  DUT: Top_level
    port map (
      clk      => clk,
      reset    => reset,
      data_in  => data_in,
      data_out => data_out,
      load     => load);

  -- clock generation
  Clk <= not Clk after 10 ns;

  -- waveform generation
  WaveGen_Proc: process
  begin
    -- insert signal assignments here
    
    wait until Clk = '1';
  end process WaveGen_Proc;

  

end tb;

-------------------------------------------------------------------------------

configuration Top_level_tb_tb_cfg of Top_level_tb is
  for tb
  end for;
end Top_level_tb_tb_cfg;

-------------------------------------------------------------------------------
