library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Top_level is
    Port ( clk : in std_logic;
           reset : in std_logic;
           data_in : in std_logic_vector(7 downto 0);
           data_out : out std_logic_vector(7 downto 0);
			  load : in std_logic;
			  externe_daten_in : in std_logic_vector (1 downto 0);
			  control_out : out std_logic_vector(1 downto 0)
			 );
end Top_level;

architecture Behavioral of Top_level is
signal counter : std_logic_vector(7 downto 0);
begin

process(clk,reset)
begin
 if ( reset = '1') then
	counter <= (others=>'0');
 elsif rising_edge(clk) then 
   if load = '1' then
		counter <= data_in;
	else
		counter <= counter+1;
	end if;
 end if;
end process;

data_out <= counter after 9 ns;

process(clk, reset) 
begin
	if ( reset = '1' ) then
		control_out <= ( others=> '0');
	elsif rising_edge(clk) then
		case ( externe_daten_in ) is 
			when "00"	=> control_out <= "01";
			when "01"	=> control_out <= "10";
			when "10"	=>	control_out <= "11";
			when "11"	=>	control_out <= "00";
			when others =>	control_out <= "00";
		end case;
	end if;
end process;

end Behavioral;
