library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Top_level is
    Port ( clk : in std_logic;
           reset : in std_logic;
           data_in : in std_logic_vector(7 downto 0);
           data_out : out std_logic_vector(7 downto 0);
           load : in std_logic);
end Top_level;

architecture Behavioral of Top_level is
signal counter : std_logic_vector(7 downto 0);
begin

process(clk,reset,load,data_in)


begin
 if ( reset = '1') then
	counter <= (others=>'0');
 elsif rising_edge(clk) then 
   if load = '1' then
		counter <= data_in;
	else
		counter <= counter+1;
	end if;
 end if;
end process;

data_out <= counter after 9 ns;

end Behavioral;
