--------------------------------------------------------------------------------
-- Copyright (c) 1995-2005 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: H.39
--  \   \         Application: netgen
--  /   /         Filename: top_level_synthesis.vhd
-- /___/   /\     Timestamp: Sun Apr 03 12:58:03 2005
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -ar Structure -w -ofmt vhdl -sim top_level.ngc top_level_synthesis.vhd 
-- Device	: xc3s50-4-pq208
-- Input file	: top_level.ngc
-- Output file	: top_level_synthesis.vhd
-- # of Entities	: 1
-- Design Name	: top_level
-- Xilinx	: C:/Xilinx71
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Verification Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

entity top_level is
  port (
    clk : in STD_LOGIC := 'X'; 
    reset : in STD_LOGIC := 'X'; 
    load : in STD_LOGIC := 'X'; 
    data_in : in STD_LOGIC_VECTOR ( 7 downto 0 ); 
    externe_daten_in : in STD_LOGIC_VECTOR ( 1 downto 0 ); 
    data_out : out STD_LOGIC_VECTOR ( 7 downto 0 ); 
    control_out : out STD_LOGIC_VECTOR ( 1 downto 0 ) 
  );
end top_level;

architecture Structure of top_level is
  signal clk_BUFGP : STD_LOGIC; 
  signal data_in_4_IBUF : STD_LOGIC; 
  signal reset_IBUF : STD_LOGIC; 
  signal data_in_2_IBUF : STD_LOGIC; 
  signal load_IBUF : STD_LOGIC; 
  signal data_in_1_IBUF : STD_LOGIC; 
  signal data_in_3_IBUF : STD_LOGIC; 
  signal externe_daten_in_1_IBUF : STD_LOGIC; 
  signal N1 : STD_LOGIC; 
  signal N0 : STD_LOGIC; 
  signal data_in_6_IBUF : STD_LOGIC; 
  signal data_in_5_IBUF : STD_LOGIC; 
  signal externe_daten_in_0_IBUF : STD_LOGIC; 
  signal data_in_0_IBUF : STD_LOGIC; 
  signal control_out_1 : STD_LOGIC; 
  signal control_out_0 : STD_LOGIC; 
  signal data_in_7_IBUF : STD_LOGIC; 
  signal counter_inst_lut3_1 : STD_LOGIC; 
  signal counter_inst_cy_2 : STD_LOGIC; 
  signal counter_inst_sum_6 : STD_LOGIC; 
  signal counter_inst_cy_7 : STD_LOGIC; 
  signal counter_inst_lut3_6 : STD_LOGIC; 
  signal counter_inst_sum_5 : STD_LOGIC; 
  signal counter_inst_cy_6 : STD_LOGIC; 
  signal counter_inst_lut3_5 : STD_LOGIC; 
  signal counter_inst_sum_4 : STD_LOGIC; 
  signal counter_inst_cy_5 : STD_LOGIC; 
  signal counter_inst_lut3_4 : STD_LOGIC; 
  signal counter_inst_sum_3 : STD_LOGIC; 
  signal counter_inst_cy_4 : STD_LOGIC; 
  signal counter_inst_lut3_3 : STD_LOGIC; 
  signal counter_inst_sum_2 : STD_LOGIC; 
  signal counter_inst_cy_3 : STD_LOGIC; 
  signal counter_inst_lut3_2 : STD_LOGIC; 
  signal counter_inst_sum_1 : STD_LOGIC; 
  signal counter_inst_sum_7 : STD_LOGIC; 
  signal counter_inst_sum_0 : STD_LOGIC; 
  signal counter_inst_lut3_7 : STD_LOGIC; 
  signal counter_inst_cy_0 : STD_LOGIC; 
  signal counter_inst_lut3_0 : STD_LOGIC; 
  signal counter_inst_cy_1 : STD_LOGIC; 
  signal load_IBUF_rt : STD_LOGIC; 
  signal Q_n0002 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal counter : STD_LOGIC_VECTOR ( 7 downto 0 ); 
begin
  Q_n0002_1_1 : LUT2
    generic map(
      INIT => X"6"
    )
    port map (
      I0 => externe_daten_in_0_IBUF,
      I1 => externe_daten_in_1_IBUF,
      O => Q_n0002(1)
    );
  XST_VCC : VCC
    port map (
      P => N0
    );
  XST_GND : GND
    port map (
      G => N1
    );
  counter_5 : FDCPE
    port map (
      D => counter_inst_sum_5,
      CE => N0,
      CLR => reset_IBUF,
      PRE => N1,
      C => clk_BUFGP,
      Q => counter(5)
    );
  control_out_1_0 : FDC
    port map (
      D => Q_n0002(1),
      CLR => reset_IBUF,
      C => clk_BUFGP,
      Q => control_out_1
    );
  control_out_0_1 : FDC
    port map (
      D => Q_n0002(0),
      CLR => reset_IBUF,
      C => clk_BUFGP,
      Q => control_out_0
    );
  Q_n0002_0_INV1_INV_0 : INV
    port map (
      I => externe_daten_in_0_IBUF,
      O => Q_n0002(0)
    );
  counter_6 : FDCPE
    port map (
      D => counter_inst_sum_6,
      CE => N0,
      CLR => reset_IBUF,
      PRE => N1,
      C => clk_BUFGP,
      Q => counter(6)
    );
  counter_7 : FDCPE
    port map (
      D => counter_inst_sum_7,
      CE => N0,
      CLR => reset_IBUF,
      PRE => N1,
      C => clk_BUFGP,
      Q => counter(7)
    );
  counter_inst_cy_0_2 : MUXCY
    port map (
      CI => N1,
      DI => N0,
      S => load_IBUF_rt,
      O => counter_inst_cy_0
    );
  counter_inst_lut3_01 : LUT3_L
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => load_IBUF,
      I1 => data_in_0_IBUF,
      I2 => counter(0),
      LO => counter_inst_lut3_0
    );
  counter_inst_cy_1_3 : MUXCY
    port map (
      CI => counter_inst_cy_0,
      DI => N1,
      S => counter_inst_lut3_0,
      O => counter_inst_cy_1
    );
  counter_inst_sum_0_4 : XORCY
    port map (
      CI => counter_inst_cy_0,
      LI => counter_inst_lut3_0,
      O => counter_inst_sum_0
    );
  counter_inst_lut3_11 : LUT3_L
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => load_IBUF,
      I1 => data_in_1_IBUF,
      I2 => counter(1),
      LO => counter_inst_lut3_1
    );
  counter_inst_cy_2_5 : MUXCY
    port map (
      CI => counter_inst_cy_1,
      DI => N1,
      S => counter_inst_lut3_1,
      O => counter_inst_cy_2
    );
  counter_inst_sum_1_6 : XORCY
    port map (
      CI => counter_inst_cy_1,
      LI => counter_inst_lut3_1,
      O => counter_inst_sum_1
    );
  counter_inst_lut3_21 : LUT3_L
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => load_IBUF,
      I1 => data_in_2_IBUF,
      I2 => counter(2),
      LO => counter_inst_lut3_2
    );
  counter_inst_cy_3_7 : MUXCY
    port map (
      CI => counter_inst_cy_2,
      DI => N1,
      S => counter_inst_lut3_2,
      O => counter_inst_cy_3
    );
  counter_inst_sum_2_8 : XORCY
    port map (
      CI => counter_inst_cy_2,
      LI => counter_inst_lut3_2,
      O => counter_inst_sum_2
    );
  counter_inst_lut3_31 : LUT3_L
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => load_IBUF,
      I1 => data_in_3_IBUF,
      I2 => counter(3),
      LO => counter_inst_lut3_3
    );
  counter_inst_cy_4_9 : MUXCY
    port map (
      CI => counter_inst_cy_3,
      DI => N1,
      S => counter_inst_lut3_3,
      O => counter_inst_cy_4
    );
  counter_inst_sum_3_10 : XORCY
    port map (
      CI => counter_inst_cy_3,
      LI => counter_inst_lut3_3,
      O => counter_inst_sum_3
    );
  counter_inst_lut3_41 : LUT3_L
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => load_IBUF,
      I1 => data_in_4_IBUF,
      I2 => counter(4),
      LO => counter_inst_lut3_4
    );
  counter_inst_cy_5_11 : MUXCY
    port map (
      CI => counter_inst_cy_4,
      DI => N1,
      S => counter_inst_lut3_4,
      O => counter_inst_cy_5
    );
  counter_inst_sum_4_12 : XORCY
    port map (
      CI => counter_inst_cy_4,
      LI => counter_inst_lut3_4,
      O => counter_inst_sum_4
    );
  counter_inst_lut3_51 : LUT3_L
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => load_IBUF,
      I1 => data_in_5_IBUF,
      I2 => counter(5),
      LO => counter_inst_lut3_5
    );
  counter_inst_cy_6_13 : MUXCY
    port map (
      CI => counter_inst_cy_5,
      DI => N1,
      S => counter_inst_lut3_5,
      O => counter_inst_cy_6
    );
  counter_inst_sum_5_14 : XORCY
    port map (
      CI => counter_inst_cy_5,
      LI => counter_inst_lut3_5,
      O => counter_inst_sum_5
    );
  counter_inst_lut3_61 : LUT3_L
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => load_IBUF,
      I1 => data_in_6_IBUF,
      I2 => counter(6),
      LO => counter_inst_lut3_6
    );
  counter_inst_cy_7_15 : MUXCY
    port map (
      CI => counter_inst_cy_6,
      DI => N1,
      S => counter_inst_lut3_6,
      O => counter_inst_cy_7
    );
  counter_inst_sum_6_16 : XORCY
    port map (
      CI => counter_inst_cy_6,
      LI => counter_inst_lut3_6,
      O => counter_inst_sum_6
    );
  counter_inst_lut3_71 : LUT3_L
    generic map(
      INIT => X"D8"
    )
    port map (
      I0 => load_IBUF,
      I1 => data_in_7_IBUF,
      I2 => counter(7),
      LO => counter_inst_lut3_7
    );
  counter_4 : FDCPE
    port map (
      D => counter_inst_sum_4,
      CE => N0,
      CLR => reset_IBUF,
      PRE => N1,
      C => clk_BUFGP,
      Q => counter(4)
    );
  counter_inst_sum_7_17 : XORCY
    port map (
      CI => counter_inst_cy_7,
      LI => counter_inst_lut3_7,
      O => counter_inst_sum_7
    );
  counter_0 : FDCPE
    port map (
      D => counter_inst_sum_0,
      CE => N0,
      CLR => reset_IBUF,
      PRE => N1,
      C => clk_BUFGP,
      Q => counter(0)
    );
  counter_1 : FDCPE
    port map (
      D => counter_inst_sum_1,
      CE => N0,
      CLR => reset_IBUF,
      PRE => N1,
      C => clk_BUFGP,
      Q => counter(1)
    );
  counter_2 : FDCPE
    port map (
      D => counter_inst_sum_2,
      CE => N0,
      CLR => reset_IBUF,
      PRE => N1,
      C => clk_BUFGP,
      Q => counter(2)
    );
  counter_3 : FDCPE
    port map (
      D => counter_inst_sum_3,
      CE => N0,
      CLR => reset_IBUF,
      PRE => N1,
      C => clk_BUFGP,
      Q => counter(3)
    );
  clk_BUFGP_18 : BUFGP
    port map (
      I => clk,
      O => clk_BUFGP
    );
  reset_IBUF_19 : IBUF
    port map (
      I => reset,
      O => reset_IBUF
    );
  load_IBUF_20 : IBUF
    port map (
      I => load,
      O => load_IBUF
    );
  data_in_7_IBUF_21 : IBUF
    port map (
      I => data_in(7),
      O => data_in_7_IBUF
    );
  data_in_6_IBUF_22 : IBUF
    port map (
      I => data_in(6),
      O => data_in_6_IBUF
    );
  data_in_5_IBUF_23 : IBUF
    port map (
      I => data_in(5),
      O => data_in_5_IBUF
    );
  data_in_4_IBUF_24 : IBUF
    port map (
      I => data_in(4),
      O => data_in_4_IBUF
    );
  data_in_3_IBUF_25 : IBUF
    port map (
      I => data_in(3),
      O => data_in_3_IBUF
    );
  data_in_2_IBUF_26 : IBUF
    port map (
      I => data_in(2),
      O => data_in_2_IBUF
    );
  data_in_1_IBUF_27 : IBUF
    port map (
      I => data_in(1),
      O => data_in_1_IBUF
    );
  data_in_0_IBUF_28 : IBUF
    port map (
      I => data_in(0),
      O => data_in_0_IBUF
    );
  externe_daten_in_1_IBUF_29 : IBUF
    port map (
      I => externe_daten_in(1),
      O => externe_daten_in_1_IBUF
    );
  externe_daten_in_0_IBUF_30 : IBUF
    port map (
      I => externe_daten_in(0),
      O => externe_daten_in_0_IBUF
    );
  data_out_7_OBUF : OBUF
    port map (
      I => counter(7),
      O => data_out(7)
    );
  data_out_6_OBUF : OBUF
    port map (
      I => counter(6),
      O => data_out(6)
    );
  data_out_5_OBUF : OBUF
    port map (
      I => counter(5),
      O => data_out(5)
    );
  data_out_4_OBUF : OBUF
    port map (
      I => counter(4),
      O => data_out(4)
    );
  data_out_3_OBUF : OBUF
    port map (
      I => counter(3),
      O => data_out(3)
    );
  data_out_2_OBUF : OBUF
    port map (
      I => counter(2),
      O => data_out(2)
    );
  data_out_1_OBUF : OBUF
    port map (
      I => counter(1),
      O => data_out(1)
    );
  data_out_0_OBUF : OBUF
    port map (
      I => counter(0),
      O => data_out(0)
    );
  control_out_1_OBUF : OBUF
    port map (
      I => control_out_1,
      O => control_out(1)
    );
  control_out_0_OBUF : OBUF
    port map (
      I => control_out_0,
      O => control_out(0)
    );
  load_IBUF_rt_31 : LUT1
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => load_IBUF,
      O => load_IBUF_rt
    );

end Structure;

