module hex2led (HEX, LED) ;

input [3:0] HEX ;
output [6:0] LED ;

reg [6:0] LED;

//HEX-to-seven-segment decoder
//	input [3:0] HEX;
//	output [6:0] LED;
//	reg [6:0] LED;
//
// segment encoding
//      0
//     ---  
//  5 |   | 1
//     ---   <- 6
//  4 |   | 2
//     ---
//      3

always @(HEX)
begin
    case (HEX)
	4'h1 : LED = 7'b1111001;	//1
	4'h2 : LED = 7'b0100100;	//2
	4'h3 : LED = 7'b0110000;	//3
	4'h4 : LED = 7'b0011001;	//4
	4'h5 : LED = 7'b0010010;	//5
	4'h6 : LED = 7'b0000010;	//6
	4'h7 : LED = 7'b1111000;	//7
	4'h8 : LED = 7'b0000000;	//8
	4'h9 : LED = 7'b0010000;	//9
	default : LED = 7'b1000000;	//0
    endcase
end

endmodule 
