//  D:\XILINX\ISEEXAMPLES\WATCH_SC\STATMACH.v
//  Verilog created by Visual Software Solution's StateCAD 5.02.x4
//  Fri Jun 09 12:01:56 2000

//  This Verilog code (for use with Synopsys) was generated using: 
//  binary encoded state assignment with structured code format.
//  Minimization is disabled,  implied else is enabled, 
//  and outputs are manually optimized.

`timescale 1s/1s

module statmach(clk,reset,strtstop,clken,rst);

	input clk;
	input reset,strtstop;
	output clken,rst;
	reg clken,rst;
	reg [2:0] sreg;
	reg [2:0] next_sreg;

	`define CLEAR 3'b000
	`define counting 3'b001
	`define start 3'b010
	`define stop 3'b011
	`define stopped 3'b100
	`define zero 3'b101


	always @(posedge clk or posedge reset)
	begin
		if ( reset ) sreg = `CLEAR;
		else sreg = next_sreg;
	end

	always @ (sreg or strtstop)
	begin
		clken = 0; rst = 0; 

		next_sreg=`CLEAR;

		case (sreg)
			`CLEAR : begin
				clken=0;
				rst=1;
				if ( 1'h1) begin
					next_sreg=`zero;
				end
				else begin
					next_sreg=`CLEAR;
				end
			end
			`counting : begin
				clken=1;
				rst=0;
				if ( ~( ( strtstop  ) | ( ~strtstop  ) )) begin
					next_sreg=`counting;
				end
				if ( strtstop ) begin
					next_sreg=`stop;
				end
				if ( ~strtstop ) begin
					next_sreg=`counting;
				end
			end
			`start : begin
				clken=1;
				rst=0;
				if ( ~( ( ~strtstop  ) | ( strtstop  ) )) begin
					next_sreg=`start;
				end
				if ( ~strtstop ) begin
					next_sreg=`counting;
				end
				if ( strtstop ) begin
					next_sreg=`start;
				end
			end
			`stop : begin
				clken=0;
				rst=0;
				if ( ~( ( ~strtstop  ) | ( strtstop  ) )) begin
					next_sreg=`stop;
				end
				if ( ~strtstop ) begin
					next_sreg=`stopped;
				end
				if ( strtstop ) begin
					next_sreg=`stop;
				end
			end
			`stopped : begin
				clken=0;
				rst=0;
				if ( ~( ( strtstop  ) | ( ~strtstop  ) )) begin
					next_sreg=`stopped;
				end
				if ( strtstop ) begin
					next_sreg=`start;
				end
				if ( ~strtstop ) begin
					next_sreg=`stopped;
				end
			end
			`zero : begin
				clken=0;
				rst=0;
				if ( ~( ( strtstop  ) | ( ~strtstop  ) )) begin
					next_sreg=`zero;
				end
				if ( strtstop ) begin
					next_sreg=`start;
				end
				if ( ~strtstop ) begin
					next_sreg=`zero;
				end
			end
		endcase
	end
endmodule
