// synopsys translate_off

////////////////////////////////////////////////////////////////////////
////  You must set this path to match your install  ////////////////////
//`include "XilinxCoreLib/C_COUNTER_BINARY_V1_0.v"

// synopsys translate_on

//Place the CoreGen Module Declaration for Tenths here
module tenths (
	Q,
	CLK,
	Q_THRESH0,
	CE,
	AINIT) /* synthesis black_box */;

output [3:0] Q;
input CLK;
output Q_THRESH0;
input CE;
input AINIT;

// synopsys translate_off

	C_COUNTER_BINARY_V1_0 #(
		"0001",
		"0001",
		0,
		"1010",
		1,
		0,
		1,
		0,
		1,
		0,
		0,
		0,
		1,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		1,
		0,
		0,
		1,
		"0",
		0,
		1,
		"1010",
		"1111111111111111",
		4)
	inst (
		.Q(Q),
		.CLK(CLK),
		.Q_THRESH0(Q_THRESH0),
		.CE(CE),
		.AINIT(AINIT));

// synopsys translate_on


endmodule

//------- End MODULE Declaration -------------

// Top Level Module stopwatch, must be last in the file.
module stopwatch(CLK, RESET, STRTSTOP, TENTHSOUT, ONESOUT, TENSOUT);

input CLK;
input RESET;
input STRTSTOP;
output [9:0] TENTHSOUT;
output [6:0] ONESOUT;
output [6:0] TENSOUT;

wire strtstopinv;
wire clkenable;
wire rstint;
wire [9:0] xcountout;
wire xtermcnt;
wire cnt60enable;
wire [3:0] lsbcnt;
wire [3:0] msbcnt;
wire [3:0] Q;

statmach MACHINE(.clk(CLK),
		 .reset(RESET),
		 .strtstop(strtstopinv),
		 .clken(clkenable),
		 .rst(rstint));

// Place the CoreGen Component Instantiation for Tenths here
tenths XCOUNTER (
		.Q(Q),
		.CLK(CLK),
		.Q_THRESH0(xtermcnt),
		.CE(clkenable),
		.AINIT(rstint));
//------ End INSTANTIATION Template ---------

decode one_decode (.BINARY(Q), .ONE_HOT(xcountout));
	
cnt60 sixty(.CE(cnt60enable),
		    .CLK(CLK),
		    .CLR(rstint),
	   	 .LSBSEC(lsbcnt),
			 .MSBSEC(msbcnt));

hex2led lsbled(.HEX(lsbcnt),.LED(ONESOUT));
hex2led msbled(.HEX(msbcnt),.LED(TENSOUT));

assign cnt60enable = xtermcnt & clkenable;
assign TENTHSOUT = ~xcountout;
assign strtstopinv = ~STRTSTOP;

endmodule
